JNA API 3.5.2-SNAPSHOT

## com.sun.jna.platform.mac
Interface MacFileUtils.FileManager

All Superinterfaces:
  Library

Enclosing class:
  MacFileUtils

    public static interface MacFileUtils.FileManager

extends Library

Nested Class Summary
`static class` `MacFileUtils.FileManager.FSRef`

Nested classes/interfaces inherited from interface com.sun.jna.Library
`Library.Handler`

Field Summary
`static MacFileUtils.FileManager` `INSTANCE`
`static int` `kFSFileOperationDefaultOptions`
`static int` `kFSFileOperationsDoNotMoveAcrossVolumes`
`static int` `kFSFileOperationsOverwrite`
`static int` `kFSFileOperationsSkipPreflight`
`static int` `kFSFileOperationsSkipSourcePermissionErrors`
`static int` `kFSPathDefaultOptions`
`static int` `kFSPathMakeRefDoNotFollowLeafSymlink`

Fields inherited from interface com.sun.jna.Library
`OPTION_ALLOW_OBJECTS, OPTION_CALLING_CONVENTION, OPTION_FUNCTION_MAPPER, OPTION_INVOCATION_MAPPER, OPTION_OPEN_FLAGS, OPTION_STRUCTURE_ALIGNMENT, OPTION_TYPE_MAPPER`

Method Summary
`int` `FSMoveObjectToTrashSync(MacFileUtils.FileManager.FSRef source, MacFileUtils.FileManager.FSRef target, int options)`
`int` `FSPathMakeRef(java.lang.String source, int options, ByteByReference isDirectory)`
`int` `FSPathMakeRefWithOptions(java.lang.String source, int options, MacFileUtils.FileManager.FSRef fsref, ByteByReference isDirectory)`
`int` `FSPathMoveObjectToTrashSync(java.lang.String source, PointerByReference target, int options)`
`int` `FSRefMakePath(MacFileUtils.FileManager.FSRef fsref, byte[] path, int maxPathSize)`

Field Detail

### INSTANCE

    static final MacFileUtils.FileManager INSTANCE

### kFSFileOperationDefaultOptions

    static final int kFSFileOperationDefaultOptions

See Also:
  Constant Field Values

### kFSFileOperationsOverwrite

    static final int kFSFileOperationsOverwrite

See Also:
  Constant Field Values

### kFSFileOperationsSkipSourcePermissionErrors

    static final int kFSFileOperationsSkipSourcePermissionErrors

See Also:
  Constant Field Values

### kFSFileOperationsDoNotMoveAcrossVolumes

    static final int kFSFileOperationsDoNotMoveAcrossVolumes

See Also:
  Constant Field Values

### kFSFileOperationsSkipPreflight

    static final int kFSFileOperationsSkipPreflight

See Also:
  Constant Field Values

### kFSPathDefaultOptions

    static final int kFSPathDefaultOptions

See Also:
  Constant Field Values

### kFSPathMakeRefDoNotFollowLeafSymlink

    static final int kFSPathMakeRefDoNotFollowLeafSymlink

See Also:
  Constant Field Values

Method Detail

### FSRefMakePath

    int FSRefMakePath(MacFileUtils.FileManager.FSRef fsref,
                      byte[] path,
                      int maxPathSize)

### FSPathMakeRef

    int FSPathMakeRef(java.lang.String source,
                      int options,
                      ByteByReference isDirectory)

### FSPathMakeRefWithOptions

    int FSPathMakeRefWithOptions(java.lang.String source,
                                 int options,
                                 MacFileUtils.FileManager.FSRef fsref,
                                 ByteByReference isDirectory)

### FSPathMoveObjectToTrashSync

    int FSPathMoveObjectToTrashSync(java.lang.String source,
                                    PointerByReference target,
                                    int options)

### FSMoveObjectToTrashSync

    int FSMoveObjectToTrashSync(MacFileUtils.FileManager.FSRef source,
                                MacFileUtils.FileManager.FSRef target,
                                int options)

JNA API 3.5.2-SNAPSHOT

Copyright © 2007-2013 Timothy Wall. All Rights Reserved.